From: Ole Streicher <olebole@debian.org>
Date: Thu, 26 Sep 2019 11:31:10 +0200
Subject: Disable optional dependence on Apache xmlrpc2

JSAMP has an optional dependency on Apache XML-RPC version 2. As of
2016, Debian ships with XML-RPC version 3.  Based on feedback from the
upstream Mark Taylor the XML-RPC is optional, and is dynamically
checked at run-time, with normal fallback to JSAMP's normal internal
RPC is available. Disabling compilation does not lead to a loss of
functionality; removes the need to port to XML RPC 3, and removes a
large number of dependencies:

 -org.apache.xmlrpc (version 2)
 -org.w3c.dom
 -org.xml.sax
---
 pom.xml | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/pom.xml b/pom.xml
index ad88807..68fa3ec 100644
--- a/pom.xml
+++ b/pom.xml
@@ -86,6 +86,9 @@
         <configuration>
           <source>1.4</source>
           <target>1.4</target>
+	  <excludes>
+	    <exclude>**/org/astrogrid/samp/xmlrpc/apache/*.java</exclude>
+	  </excludes>
         </configuration>
       </plugin>
 
@@ -212,11 +215,6 @@
   </reporting>
 
   <dependencies>
-    <dependency>
-      <groupId>xmlrpc</groupId>
-      <artifactId>xmlrpc</artifactId>
-      <version>1.2-b1</version>
-    </dependency>
     <dependency>
       <groupId>junit</groupId>
       <artifactId>junit</artifactId>
